<?xml version="1.0" encoding="windows-1251"?>
<refentry version="5.0-subset Scilab" xml:id="ddepoke" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns4="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>

  <refnamediv>
    <refname>ddepoke</refname>

    <refpurpose>Send data from Scilab to DDE server application.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>res = ddepoke(item, data [, timeout])
res = ddepoke(item, data)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>res</term>

        <listitem>
          <para>a boolean %f if false.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>item</term>

        <listitem>
          <para>A string that specifies the DDE item for the data sent. item
          is the server data entity that is to contain the data sent in the
          data argument.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>data</term>

        <listitem>
          <para>a string : data to send.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>timeout</term>

        <listitem>
          <para>A scalar that specifies the time-out limit for this operation.
          timeout is specified in milliseconds (1000 milliseconds = 1 second).
          The default timeout is three seconds.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Send data from Scilab to DDE server application.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">// see dde_examples</programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="dde_examples">dde_examples</link></member>

      <member><link linkend="ddereq">ddereq</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Author</title>

    <para>Allan CORNET</para>
  </refsection>
</refentry>
